function [amin,bmin] = startwert(a0,a1,b0,b1,x,y);
% [amin,bmin] = startwert(a0,a1,b0,b1,x,y)
% Ermittelt einen Startwert durch Probieren. D.h., das Programm 
% berechnet 100 Punkte innerhalb von[a0,a1] und [b0,b1] und nimmt 
% den Punkt mit der minimalen Kleinstquadratsumme.

a= linspace(a0,a1,50);
b= linspace(b0,b1,50);

ys = 1 ./ (1+exp(-(a(1)+b(1)*log(x))));
nmin=norm(y-ys); amin=1; bimn=1;

for ai= 1:length(a),
  for bi=1:length(b),
    ys = 1 ./ (1+exp(-(a(ai)+b(bi)*log(x)))); 
    n=norm(ys-y);
    if n <nmin,
      nmin = n; amin=a(ai); bmin= b(bi);
    end;
  end;
end;

